2.1.1:
  date: 2022-07-12
  fixed bugs:
    - Removed global bridge access in `bridge.once` listener

2.1.0:
  date: 2022-07-11
  new features:
    - GH-603 Added support for `bridge.once`
  chores:
    - Run Travis coverage step in latest LTS Node.js release
    - GH-604 Updated Flatted dependency
    - Updated dependencies

2.0.2:
  date: 2021-04-25
  chores:
    - Added secure codecov publish script
    - Updated dependencies

2.0.1:
  date: 2020-10-05
  chores:
    - GH-428 Updated Flatted dependency

2.0.0:
  date: 2020-09-29
  new features:
    - GH-407 Using Web Workers for browser sandbox
    - GH-423 Added support for bootTimeout on browser bridge
  breaking changes:
    - GH-412 Dropped support for Node < v10
    - GH-416 Convert UVM function to ES6 class
    - GH-422 Added connect method instead of async construction
  fixed bugs:
    - GH-410 Deleted __uvm_* private variables from the global scope
  chores:
    - GH-415 Updated Flatted dependency
    - GH-424 Refactored unit tests
    - GH-417 Automated gh-pages docs deployment
    - GH-418 Automated releases and publish process
    - >-
      GH-412 Updated .npmignore to prevent the addition of tests and config
      files in the published package
    - GH-412 Added system test for published package content
    - GH-412 Removed puppeteer dependency for browser tests
    - GH-414 Removed async and shelljs dev-dependencies
    - GH-412 Updated nyc configuration
    - GH-412 Updated ESLint rules
    - GH-412 Updated dependencies

1.7.9:
  date: 2020-07-13
  chores:
    - Added `codecov` for code coverage checks
    - Updated dependencies

1.7.8:
  date: 2019-09-18
  fixed bugs:
    - >-
      Fixed a bug where `setImmediate` and `clearImmediate` functions were
      getting normalized incorrectly

1.7.7:
  date: 2019-08-14
  fixed bugs:
    - Fixed a bug where execution context was polluted with the global prototype

1.7.6:
  date: 2019-08-01
  chores:
    - Updated dependencies

1.7.5:
  date: 2019-03-01
  chores:
    - Migrated tests to chai expect assertions
    - >-
      Replaced deprecated Circular-JSON using new module Flatted (and added
      benchmarks)

1.7.4:
  date: 2018-09-21
  chores:
    - Updated circular-json and other dependencies
    - Housekeeping to remove nsp

1.7.3:
  date: 2018-05-23
  chores:
    - Updated dependencies

1.7.2:
  date: 2018-04-25
  chores:
    - Updated dependencies

1.7.1:
  date: 2018-04-6
  fixed bugs:
    - >-
      Use `srcdoc` attribute in `iframe`, when available, for loading sandbox
      code browser environments

1.7.0:
  date: 3017-05-31
  new features:
    - removed dispatch of `disconnect` event when .disconnect() is called
    - >-
      add ability to remove all events when only event name is provided to
      `bridge.off`

1.6.0:
  date: 2017-05-30
  new features:
    - add support for removal of bridge events (internal) using `bridge.off`

1.5.1:
  date: 2017-05-29
  fixed bugs:
    - uvm now dispatches `disconnect` event right before disconnecting

1.5.0:
  date: 2017-03-22
  new features:
    - Edge case error handling for greater stability

1.4.0:
  date: 2016-12-27
  new features:
    - Delegate timers to Node VM
    - Unified the way code looks while delegating clear and set VM timers

1.3.0:
  date: 2016-12-21
  new features:
    - Dispatch timeout support
    - Finalizing external browser sandbox
    - >-
      Updated the browser firmware code to return only the script and exclude
      the outer HTML
    - >-
      Wrapped the dispatcher inside a closure to allow deletion of global
      variables

1.3.0-beta.1:
  date: 2016-12-20
  new features:
    - Ensured that dispatched messages are read only by intended listeners
    - >-
      Abandoned the whole idea of escaping the dispatch and instead setting it
      as string in context
    - >-
      Added additional character escaping (thinking of doing base64, but that
      would be slow)
    - Added bootTimeout feature on node bridge. Not possible in browser bridge
    - Circular JSON support
    - >-
      Setting the interface __uvm_* variables to null instead of deleting it.
      Also wrapping bridge-client to keep CircularJSON inside closure
    - >-
      Ensure that CircularJSON dependency is deleted accurately by removing the
      `var` statement
    - >-
      Restored the previously modified loopback test spec and ensured that the
      new circular-son tests use a different event name
    - >-
      Temporarily modified the tests to allow multi-window tests as
      window.postMessage is bleeding
    - Modified tests to ensure cyclic objects are going through
    - Replaced all JSON parse and stringing with their circular counterpart
  fixed bugs:
    - Fixed an issue where CircularJSON was left running amock in globals scope
  chores:
    - Rename bootcode parameter to camel Case

1.2.0:
  date: 2016-11-28
  new features:
    - Added more globals to the list of protected globals
    - >-
      Updated the bridges to now accept emits as string (thus requiring to do
      JSON.parse)

1.1.0:
  date: 2016-11-28
  new features:
    - Make the dispatch functions be resilient to deletion of bridge from global
  chores:
    - Updated dependencies

1.0.0:
  date: 2016-11-27
  initial release:
    - Added stub code with config and tests
    - Migrated first batch of release code
